# std::get_pointer_safety

From cppreference.com
< cpp‎ | memory

Defined in header `<memory>` |  |
std::pointer_safety get_pointer_safety(); |  | (since C++11)

Obtains the implementation-defined pointer safety model, which is a value of type std::pointer_safety.

### Parameters

(none)

### Return value

The pointer safety used by this implementation.

### Exceptions

`noexcept` specification:
noexcept

### See also

pointer_safety (C++11) | lists pointer safety models (class)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/memory/gc/get_pointer_safety&oldid=91767"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template